Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.wocompat
Class EOObjEntity

    java.lang.Object
      org.objectstyle.cayenne.map.Entity
          org.objectstyle.cayenne.map.ObjEntity
              org.objectstyle.cayenne.wocompat.EOObjEntity

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, ObjAttributeListener, ObjEntityListener, ObjRelationshipListener, CayenneMapEntry, XMLSerializable

    public class EOObjEntity

extends ObjEntity

An EOObjEntity is a mapping descriptor of a Java class property with added fields for WebObjects EOModel. It is an informal "decorator" of Cayenne ObjEntity to provide access to the extra information of WebObjects EOEntity.

Author:
  Dario Bagatto
See Also:
  Serialized Form

Field Summary
`protected boolean` | `hasSuperClass`
`protected boolean` | `isAbstractEntity`
`protected boolean` | `isClientEntity`

Fields inherited from class org.objectstyle.cayenne.map.ObjEntity
`className, clientClassName, clientSuperClassName, dbEntityName, DEFAULT_GENERIC_CLASSES, LOCK_TYPE_NONE, LOCK_TYPE_OPTIMISTIC, lockType, qualifier, readOnly, serverOnly, superClassName, superEntityName`

Fields inherited from class org.objectstyle.cayenne.map.Entity
`attributes, dataMap, name, PATH_SEPARATOR, relationships`

Constructor Summary
`EOObjEntity()`
`EOObjEntity(java.lang.String s)`

Method Summary
`java.util.Collection` | `getEOQueries()` Returns a collection of queries for this entity.
`EOQuery` | `getEOQuery(java.lang.String queryName)` Returns stored EOQuery.
`boolean` | `getHasSuperClass()` Returns the superclass state.
`boolean` | `getIsAbstractEntity()` Returns the abstract Entity state
`boolean` | `getIsClientEntity()` Returns the client entity flag
`java.lang.String` | `localQueryName(java.lang.String qualifiedQueryName)`
`java.lang.String` | `qualifiedQueryName(java.lang.String queryName)` Translates query name local to the ObjEntity to the global name.
`void` | `setHasSuperClass(boolean value)` Sets the the superclass state.
`void` | `setIsAbstractEntity(boolean value)` Sets the abstract entity flag.
`void` | `setIsClientEntity(boolean value)` Sets the client entity state.
`Expression` | `translateToDbPath(Expression expression)` Overrides super to support translation of EO attributes that have no ObjAttributes.

Methods inherited from class org.objectstyle.cayenne.map.ObjEntity
`clearDbMapping, encodeAsXML, getAttribute, getAttributeForDbAttribute, getAttributeMap, getAttributes, getClassName, getClientClassName, getClientEntity, getClientSuperClassName, getDbEntity, getDbEntityName, getDeclaredAttributes, getDeclaredLockType, getDeclaredQualifier, getDeclaredRelationships, getJavaClass, getJavaClass, getLockType, getRelationship, getRelationshipForDbRelationship, getRelationshipMap, getRelationships, getSuperClassName, getSuperEntity, getSuperEntityName, isClientAllowed, isGeneric, isReadOnly, isServerOnly, isSubentityOf, objAttributeAdded, objAttributeChanged, objAttributeRemoved, objEntityAdded, objEntityChanged, objEntityRemoved, objRelationshipAdded, objRelationshipChanged, objRelationshipRemoved, resolvePathComponents, setClassName, setClientClassName, setClientSuperClassName, setDbEntity, setDbEntityName, setDeclaredLockType, setDeclaredQualifier, setReadOnly, setServerOnly, setSuperClassName, setSuperEntityName, translateToRelatedEntity`

Methods inherited from class org.objectstyle.cayenne.map.Entity
`addAttribute, addRelationship, clearAttributes, clearRelationships, getAnyRelationship, getDataMap, getName, getParent, lastPathComponent, removeAttribute, removeRelationship, resolvePathComponents, setDataMap, setName, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isClientEntity

    protected boolean isClientEntity

### hasSuperClass

    protected boolean hasSuperClass

### isAbstractEntity

    protected boolean isAbstractEntity

Constructor Detail

### EOObjEntity

    public EOObjEntity()

### EOObjEntity

    public EOObjEntity(java.lang.String s)

Method Detail

### setHasSuperClass

    public void setHasSuperClass(boolean value)

  Sets the the superclass state.

  Parameters:
    `value` -

### getHasSuperClass

    public boolean getHasSuperClass()

  Returns the superclass state.

  Returns:
    true when there is a superclass defined in the eomodel.

### setIsClientEntity

    public void setIsClientEntity(boolean value)

  Sets the client entity state.

  Parameters:
    `value` -

### getIsClientEntity

    public boolean getIsClientEntity()

  Returns the client entity flag

  Returns:
    true when this entity object represents a client java class.

### setIsAbstractEntity

    public void setIsAbstractEntity(boolean value)

  Sets the abstract entity flag.

  Parameters:
    `value` -

### getIsAbstractEntity

    public boolean getIsAbstractEntity()

  Returns the abstract Entity state

  Returns:
    true if this entity is set as abstract int the eomodel.

### qualifiedQueryName

    public java.lang.String qualifiedQueryName(java.lang.String queryName)

  Translates query name local to the ObjEntity to the global name. This translation is needed since EOModels store queries by entity, while Cayenne DataMaps store them globally.

  Since:
    1.1

### localQueryName

    public java.lang.String localQueryName(java.lang.String qualifiedQueryName)

  Since:
    1.1

### getEOQuery

    public EOQuery getEOQuery(java.lang.String queryName)

  Returns stored EOQuery.

  Since:
    1.1

### getEOQueries

    public java.util.Collection getEOQueries()

  Returns a collection of queries for this entity.

  Since:
    1.1

### translateToDbPath

    public Expression translateToDbPath(Expression expression)

  Overrides super to support translation of EO attributes that have no ObjAttributes.

  Overrides:
    `translateToDbPath` in class `ObjEntity`
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.